Bug 740211 - [abrt] Zim-0.53-1.fc14: widgets.py:2035:get_debug_text:TypeError: %d format: a number is required, not str
[abrt] Zim-0.53-1.fc14: widgets.py:2035:get_debug_text:TypeError: %d format: ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:28ef3204
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-21 05:51 EDT by Niranjan Mallapadi Raghavender
Modified: 2011-12-31 15:24 EST (History)
3 users (show)

See Also:
Fixed In Version: Zim-0.54-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-31 15:24:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.40 KB, text/plain)
2011-09-21 05:51 EDT, Niranjan Mallapadi Raghavender
no flags Details

  None (edit)
Description Niranjan Mallapadi Raghavender 2011-09-21 05:51:54 EDT
abrt version: 1.1.18
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/zim
component: Zim
executable: /usr/bin/zim
kernel: 2.6.35.14-96.fc14.x86_64
package: Zim-0.53-1.fc14
reason: widgets.py:2035:get_debug_text:TypeError: %d format: a number is required, not str
release: Fedora release 14 (Laughlin)
time: 1316598146
uid: 500

backtrace
-----
widgets.py:2035:get_debug_text:TypeError: %d format: a number is required, not str

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/zim/gui/__init__.py", line 605, in _action_handler
    self.mainwindow.pageview.grab_focus()
  File "/usr/lib/python2.7/site-packages/zim/gui/widgets.py", line 2004, in __init__
    def show_all(self):
  File "/usr/lib/python2.7/site-packages/zim/gui/widgets.py", line 2035, in get_debug_text
    a weak reference in the handler object. If there is an dialog
TypeError: %d format: a number is required, not str

Local variables in innermost frame:
version_info: {'build_date': '2011-09-19 22:38:45 +0200', 'revno': '447', 'branch_nick': u'pyzim-trunk', 'clean': None, 'date': '2011-09-19 22:28:36 +0200', 'revision_id': 'jaap.karssenberg@gmail.com-20110919202836-kzp5lvujnu3cbdid'}
text: "This is zim 0.52\nPython version is sys.version_info(major=2, minor=7, micro=0, releaselevel='final', serial=0)\nGtk version is (2, 22, 0)\nPygtk version is (2, 17, 0)\nPlatform is posix\n"
self: <ErrorDialog object at 0x12ee910 (GtkMessageDialog at 0x14b5000)>
traceback: <module 'traceback' from '/usr/lib64/python2.7/traceback.pyc'>
exc_info: (<type 'exceptions.ImportError'>, ImportError('cannot import name get_notebook_info',), <traceback object at 0x11f4ab8>)
zim: <module 'zim' from '/usr/lib/python2.7/site-packages/zim/__init__.pyc'>
tb: <traceback object at 0x11f4ab8>

How to reproduce
-----
1.Not Sure
2.
3.
Comment 1 Niranjan Mallapadi Raghavender 2011-09-21 05:51:57 EDT
Created attachment 524174 [details]
File: backtrace
Comment 2 Fedora Update System 2011-12-22 23:39:38 EST
Zim-0.54-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/Zim-0.54-2.fc15
Comment 3 Fedora Update System 2011-12-23 17:18:44 EST
Package Zim-0.54-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.54-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17402/Zim-0.54-2.fc15
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2011-12-31 15:24:57 EST
Zim-0.54-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.